import { OnInit } from '@angular/core';
import { Base } from './base.class';
import { HtmlDomService } from '../../commons/services/htmldom.service';
import { ControlValueAccessor } from '@angular/forms';
export declare class TimepickerComponent extends Base implements OnInit, ControlValueAccessor {
    offsets: {
        hour: number;
        minute: number;
        second: number;
    };
    activeTime: {
        hour: number;
        minute: number;
        second: number;
    };
    constructor(html: HtmlDomService);
    ngOnInit(): void;
    writeValue(value: string): void;
    getTimeStr(): string;
    getTwoNumStr(num: number): string;
    setNow(): void;
    setTime(value: string): void;
    setClean(): void;
    confirmTime(): void;
    offsetTime(opt: WheelEvent | number, type: string, max: number): void;
    getTimeArray(max: number): number[];
    getTimes(offset: number, max: number): number[];
}
